Last Comment Bug 704317 - Disable nightly checking for cross-compartment pointers in GC
: Disable nightly checking for cross-compartment pointers in GC
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: mozilla11
Assigned To: [PTO to Dec5] Bill McCloskey (:billm)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 15:12 PST by [PTO to Dec5] Bill McCloskey (:billm)
Modified: 2012-02-22 11:45 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
patch (6.43 KB, patch)
2011-11-21 15:12 PST, [PTO to Dec5] Bill McCloskey (:billm)
anygregor: review+
Details | Diff | Splinter Review

Description [PTO to Dec5] Bill McCloskey (:billm) 2011-11-21 15:12:44 PST
Created attachment 575988 [details] [diff] [review]
patch

This will speed up mark performance. We haven't really found anything with these assertions lately.
Comment 1 Gregor Wagner [:gwagner] 2011-11-21 15:24:01 PST
Comment on attachment 575988 [details] [diff] [review]
patch

thx!
Comment 2 [PTO to Dec5] Bill McCloskey (:billm) 2011-11-21 15:46:09 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/7f0892ad2a7e
Comment 3 Ed Morley [:emorley] 2011-11-22 09:09:24 PST
https://hg.mozilla.org/mozilla-central/rev/7f0892ad2a7e

Note You need to log in before you can comment on or make changes to this bug.